Arch Armatura elicoidale

From FreeCAD Documentation
Revision as of 22:01, 17 September 2019 by Renatorivo (talk | contribs)
Jump to: navigation, search
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Arch Rebar Stirrup.svg Staffe armatura Pagina precedente:
Pagina successiva: ColumnReinforcement Arch Rebar ColumnReinforcement.svg Arrow-right.svg

Arch Rebar Helical.svg Armatura elicoidale

Posizione nel menu
Arch → Armatura → Armatura elicoidale
Ambiente
Arch, BIM
Avvio veloce
Nessuno
Introdotto nella versione
0.17
Vedere anche
Staffa armatura, Armatura


Descrizione

Lo strumento Armatura elicoidale consente all'utente di creare una barra di rinforzo elicoidale continua all'interno di un oggetto Struttura.

Questo comando fa parte del addon Reinforcement, che si può installare con Addon manager, tramite il menu Strumenti → Addon manager → Reinforcement.

Arch Rebar Helical example.png

Una barra di rinforzo elicoidale continua all'interno di una Struttura


Utilizzo

  1. Seleziona qualsiasi faccia di un oggetto Arch Structure.svg Struttura creato in precedenza.
  2. Quindi selezionare Arch Rebar Helical.svg Armatura elicoidale dal menu Armature.
  3. Sul lato sinistro dello schermo appare un pannello delle azioni come sottostante.
  4. Selezionare l'orientamento desiderato.
  5. Fornire i dati per front cover, right side cover, left side cover, bottom cover, top cover, rounding factor e diameter of the rebar.
  6. Selezionare la modalità di distribuzione per la quantità o per la spaziatura.
  7. Se è selezionata la spaziatura, l'utente può anche optare per una spaziatura personalizzata.
  8. Cliccare sulla faccia selezionata serve per verificare o modificare la faccia per la distribuzione dell'armatura.
  9. Cliccare OK o Apply per generare l'armatura.
  10. Cliccare Cancel per uscire dal pannello delle azioni

.

HelicalRebarDialog.png

Pannello Azioni per lo strumento Armatura elicoidale di Arch


Proprietà

  • DATISide Cover: La distanza tra l'armatura e la faccia curva.
  • DATIBottom Cover: La distanza tra l'armatura e la parte inferiore della struttura. Copriferro inferiore
  • DATITop Cover: La distanza tra l'armatura e la parte superiore della struttura. Copriferro superiore
  • DATIPitch: Il passo dell'elica, che è l'altezza di un giro completo di elica, misurato parallelo all'asse dell'elica.
  • DATIDiameter: Diametro della barra elicoidale.

Scripting

Vedere anche: API Arch, API Reinforcement e Script di base per FreeCAD.

Lo strumento Armatura elicoidale può essere usato nelle macro e dalla console Python utilizzando la seguente funzione:

Rebar = makeHelicalRebar(s_cover, b_cover, diameter, t_cover, pitch, structure=None, facename=None)
  • Crea un oggetto Rebar da una data structure, che è una Struttura, e da una facename, che è una faccia di quella struttura.
    • Se non è data nessuna structure e neppure una facename, prende come riferimento la faccia selezionata dall'utente..
  • s_cover, b_cover, e t_cover sono le distanze di offset interne per gli elementi dell'armatura rispetto alle facce della struttura. Sono rispettivamente gli offset laterali, inferiori e superiori.
  • diameter è il diametro della spirale di rinforzo all'interno della struttura.
  • pitch è il parametro che determina la distanza tra le spire dell'armatura.

Esempio

import FreeCAD, Draft, Arch, HelicalRebar

Circle = Draft.makeCircle(radius=250)
Structure = Arch.makeStructure(Circle)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = HelicalRebar.makeHelicalRebar(10, 50, 8, 50, 50, structure, "Face2")

Modifica delle barre

È possibile modificare le proprietà dell'armatura con la seguente funzione:

editHelicalRebar(Rebar, s_cover, b_cover, diameter, t_cover, pitch, structure=None, facename=None)
  • Rebar è l'oggetto HelicalRebar creato in precedenza.
  • Gli altri parametri sono gli stessi richiesti dalla funzione makeHelicalRebar().
  • structure e facename possono essere omesse in modo che l'armatura rimanga nella struttura originale.
import HelicalRebar

HelicalRebar.editHelicalRebar(Rebar, 20, 100, 20, 20, 100)
Arrow-left.svg Arch Rebar Stirrup.svg Staffe armatura Pagina precedente:
Pagina successiva: ColumnReinforcement Arch Rebar ColumnReinforcement.svg Arrow-right.svg